Subject: bug#2675: 23.0.91; unnecessary vc-next-action conflicts in vc-dir directory

From: Dan Nicolaescu <[email-masked]>
Date: Sun, 15 Mar 2009 08:07:53 -0700 (PDT)

Miles Bader <[email-masked]> writes:

  > On Sun, Mar 15, 2009 at 6:20 PM, Dan Nicolaescu <[email-masked]> wrote:
  > >  >    vc-dir-deduce-fileset: /tmp/zonk/newf4:unregistered clashes with /tmp/zonk/newf2:up-to-date
  > >  >
  > >  > This seems like a silly and pointless error -- it should probably simply
  > >  > ignore any "up-to-date" entries when checking for conflicts.
  > >
  > > If you look at vc-next-action, you'll see that it's possible to do
  > > things to files in the 'up-to-date state, and it's not the same as what
  > > it's done to unregistered files.
  > >
  > > vc-next-action wants to treat all the files the same, that's the reason
  > > for this check.
  > 
  > AFAICS, that's only true in certain circumstances, which
  > vc-next-action could check for:  (1) it's a locking system, or (2) the
  > user specified a prefix arg (I guess meaning "move to another rev".
  > 
  > In the default case, I think it's simply being annoyingly pedantic.

Personally, I  disagree with that.
Anyway, vc-dir is the wrong tree to bark at, you want to have
vc-next-action + vc-compatible-state changed and this issue will
disappear.